import Taro, { Component } from '@tarojs/taro'
import getUserPhone from '@utils/getUserPhone'
import './index.scss'

export default class Index extends Component {

  state = {
    // maskVisible: false,
  }

  componentDidMount() {
    // this.setState({
    //   maskVisible: true
    // })
    if (this.props.user.phone) {
      this.props.onSuccess();
    }

  }
  getPhoneNumber(e) {
    console.log(e, "eeeeeeeeeeeee")
    getUserPhone(e, (phoneNumber) => {
      if (!phoneNumber) {
        Taro.showToast({
          title: '获取手机号失败',
          icon: 'none'
        })
        return
      } else {
        this.props.onSuccess();

      }
    })
  }
  renderMaskBanner() {
    const { maskBanner } = this.state
    return (
      <View>
        <Image src={require('@assets/helpgroup/bg.png')} className='bg_img'></Image>
        <View className="phone-page">

          <View className="content">
            <Image src={require('@assets/index/logo.png')} className='logo_img'></Image>
            <View className="text">
              授权手机后,可享受以下功能
          </View>
            <View className="flex">
              <View className="item">
                <Image className="shouquan" src={require('@assets/helpgroup/shouquan.png')} ></Image>在线咨询
            </View>
              <View className="item">
                <Image className="shouquan" src={require('@assets/helpgroup/shouquan.png')} ></Image>收藏分享楼盘
            </View>
            </View>
            <View className="flex">
              <View className="item">
                <Image className="shouquan" src={require('@assets/helpgroup/shouquan.png')} ></Image>专属顾问
            </View>
              <View className="item">
                <Image className="shouquan" src={require('@assets/helpgroup/shouquan.png')} ></Image>参与助力活动            </View>
            </View>
            <View className="flex">
              <View className="item">
                <Image className="shouquan" src={require('@assets/helpgroup/shouquan.png')} ></Image>推荐客户
            </View>
              <View className="item">
                <Image className="shouquan" src={require('@assets/helpgroup/shouquan.png')} ></Image>参与拼团活动
            </View>
            </View>
            <View className="flex">
              <View className="item">
                <Image className="shouquan" src={require('@assets/helpgroup/shouquan.png')} ></Image>获取积分好礼
            </View>
              <View className="item">
                <Image className="shouquan" src={require('@assets/helpgroup/shouquan.png')} ></Image>更多精彩权益
            </View>
            </View>
            <Button className="btn" open-type="getPhoneNumber" lang="zh_CN" onGetphonenumber={this.getPhoneNumber}>授权手机</Button>
          </View>
        </View>
      </View>
    )
  }
  render() {

    return (
      <Block>
        {!this.props.user.phone && this.renderMaskBanner()}
      </Block>
    )
  }
}
